bad OSX build 3.2.6

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

bad OSX build 3.2.6

Richard Taylor-2
Hi

The .dmg file for 3.2.6 appears to be bad. When I try to mount it I get
"The following disk images couldn't be opened: not recognized". I have
tried downloading a few time in case it was a download corruption but I
get the same result.

Sourceforge also suggests downloading 3.2.5 as the 'latest version'

All the best

Richard

------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

John Ralls-2

On May 2, 2011, at 9:31 AM, Richard Taylor wrote:

> Hi
>
> The .dmg file for 3.2.6 appears to be bad. When I try to mount it I get
> "The following disk images couldn't be opened: not recognized". I have
> tried downloading a few time in case it was a download corruption but I
> get the same result.
>
> Sourceforge also suggests downloading 3.2.5 as the 'latest version'
>

Yes, the upload barfed without finishing, but I didn't have time to deal with it last night. In fact, I hadn't realized that it had gotten anything up. I just uploaded again, and it succeeded. Try again now. (I also reset the download button, now that there's a successful upload.)

Regards,
John Ralls



------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
On 02/05/2011 18:54, John Ralls wrote:

>
> On May 2, 2011, at 9:31 AM, Richard Taylor wrote:
>
>> Hi
>>
>> The .dmg file for 3.2.6 appears to be bad. When I try to mount it I get
>> "The following disk images couldn't be opened: not recognized". I have
>> tried downloading a few time in case it was a download corruption but I
>> get the same result.
>>
>> Sourceforge also suggests downloading 3.2.5 as the 'latest version'
>>
>
> Yes, the upload barfed without finishing, but I didn't have time to deal with it last night. In fact, I hadn't realized that it had gotten anything up. I just uploaded again, and it succeeded. Try again now. (I also reset the download button, now that there's a successful upload.)

John

The image is now OK but I am having a problem getting Gramps to run.

I install the app in the normal way but double clicking on the app in
Finder does nothing.

If I use the terminal and cd to Gramps.app/Contents/MacOS, then set the
PYTHONHOME to point to Gramps.app/Contents/Resources and finally run
./Gramps it get:

Traceback (most recent call last):
  File "./rungramps.py", line 121, in <module>
    if LC_COLLATE:
NameError: name 'LC_COLLATE' is not defined


I was running 3.2.5 with out any trouble.

Thanks

Richard

------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

jerome
Richard,

> I was running 3.2.5 with out any trouble.

Did you not have Gramps 3.2.5 in french (us, uk, fr), before ?

I suppose this error is related to bug fix #4302:
http://www.gramps-project.org/bugs/view.php?id=4302
http://www.gramps-project.org/bugs/view.php?id=4302#c19151


Regards,
Jérôme


Richard Taylor a écrit :

> On 02/05/2011 18:54, John Ralls wrote:
>> On May 2, 2011, at 9:31 AM, Richard Taylor wrote:
>>
>>> Hi
>>>
>>> The .dmg file for 3.2.6 appears to be bad. When I try to mount it I get
>>> "The following disk images couldn't be opened: not recognized". I have
>>> tried downloading a few time in case it was a download corruption but I
>>> get the same result.
>>>
>>> Sourceforge also suggests downloading 3.2.5 as the 'latest version'
>>>
>> Yes, the upload barfed without finishing, but I didn't have time to deal with it last night. In fact, I hadn't realized that it had gotten anything up. I just uploaded again, and it succeeded. Try again now. (I also reset the download button, now that there's a successful upload.)
>
> John
>
> The image is now OK but I am having a problem getting Gramps to run.
>
> I install the app in the normal way but double clicking on the app in
> Finder does nothing.
>
> If I use the terminal and cd to Gramps.app/Contents/MacOS, then set the
> PYTHONHOME to point to Gramps.app/Contents/Resources and finally run
> ./Gramps it get:
>
> Traceback (most recent call last):
>   File "./rungramps.py", line 121, in <module>
>     if LC_COLLATE:
> NameError: name 'LC_COLLATE' is not defined
>
>
> I was running 3.2.5 with out any trouble.
>
> Thanks
>
> Richard
>
> ------------------------------------------------------------------------------
> WhatsUp Gold - Download Free Network Management Software
> The most intuitive, comprehensive, and cost-effective network
> management toolset available today.  Delivers lowest initial
> acquisition cost and overall TCO of any competing solution.
> http://p.sf.net/sfu/whatsupgold-sd
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
In reply to this post by Richard Taylor-2
On 02/05/2011 19:36, John Ralls wrote:

>
> On May 2, 2011, at 11:10 AM, Richard Taylor wrote:
>
>> On 02/05/2011 18:54, John Ralls wrote:
>>>
>>> On May 2, 2011, at 9:31 AM, Richard Taylor wrote:
>>>
>>>> Hi
>>>>
>>>> The .dmg file for 3.2.6 appears to be bad. When I try to mount it I get
>>>> "The following disk images couldn't be opened: not recognized". I have
>>>> tried downloading a few time in case it was a download corruption but I
>>>> get the same result.
>>>>
>>>> Sourceforge also suggests downloading 3.2.5 as the 'latest version'
>>>>
>>>
>>> Yes, the upload barfed without finishing, but I didn't have time to deal with it last night. In fact, I hadn't realized that it had gotten anything up. I just uploaded again, and it succeeded. Try again now. (I also reset the download button, now that there's a successful upload.)
>>
>> John
>>
>> The image is now OK but I am having a problem getting Gramps to run.
>>
>> I install the app in the normal way but double clicking on the app in
>> Finder does nothing.
>>
>> If I use the terminal and cd to Gramps.app/Contents/MacOS, then set the
>> PYTHONHOME to point to Gramps.app/Contents/Resources and finally run
>> ./Gramps it get:
>>
>> Traceback (most recent call last):
>>  File "./rungramps.py", line 121, in <module>
>>    if LC_COLLATE:
>> NameError: name 'LC_COLLATE' is not defined
>>
>>
>> I was running 3.2.5 with out any trouble.
>
> Ah, thanks. I see the problem.
>
> If you're up for editing Gramps.app/Contents/MacOS/rungramps.py, add the following line 41:
> LC_COLLATE = ""
>
> Otherwise, I'll have a new dmg up in a few minutes.

John

I have another problem now:

2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
Traceback (most recent call last):
  File
"/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
line 337, in __startgramps
    Gramps(argparser)
  File
"/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
line 256, in __init__
    register_stock_icons()
  File
"/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
line 161, in register_stock_icons
    base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
  File
"/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
line 90, in base_reg_stock_icons
    pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
GError: Couldn't recognize the image file format for file
'/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'


Any idea?

Richard


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
On 03/05/2011 18:52, John Ralls wrote:

>
> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>
>>
>> I have another problem now:
>>
>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>> Traceback (most recent call last):
>>  File
>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>> line 337, in __startgramps
>>    Gramps(argparser)
>>  File
>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>> line 256, in __init__
>>    register_stock_icons()
>>  File
>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>> line 161, in register_stock_icons
>>    base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>  File
>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>> line 90, in base_reg_stock_icons
>>    pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>> GError: Couldn't recognize the image file format for file
>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>
>>
>> Any idea?
>
> That's really strange. Does the image look OK in Finder?
>
> What OS version are you running?
>

John,

I am on 10.6.7.

Comparing the package with 3.2.5 I notice that
Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
it has lots of entries in 3.2.5. Also
'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
in it, whereas 3.2.5 has many files.

So it looks like something to do with the gtk build.

Regards

Richard


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

John Ralls-2

On May 3, 2011, at 11:34 AM, Richard Taylor wrote:

> On 03/05/2011 18:52, John Ralls wrote:
>>
>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>
>>>
>>> I have another problem now:
>>>
>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>> Traceback (most recent call last):
>>> File
>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>> line 337, in __startgramps
>>>   Gramps(argparser)
>>> File
>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>> line 256, in __init__
>>>   register_stock_icons()
>>> File
>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>> line 161, in register_stock_icons
>>>   base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>> File
>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>> line 90, in base_reg_stock_icons
>>>   pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>> GError: Couldn't recognize the image file format for file
>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>
>>>
>>> Any idea?
>>
>> That's really strange. Does the image look OK in Finder?
>>
>> What OS version are you running?
>>
>
> John,
>
> I am on 10.6.7.
>
> Comparing the package with 3.2.5 I notice that
> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
> it has lots of entries in 3.2.5. Also
> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
> in it, whereas 3.2.5 has many files.
>
> So it looks like something to do with the gtk build.

Nope, not the build, the bundle. Sigh, I thought I'd gotten that.

For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.

What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.

I'll have a new bundle up shortly.

Regards,
John Ralls


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

John Ralls-2

On May 3, 2011, at 11:50 AM, John Ralls wrote:

>
> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>
>> On 03/05/2011 18:52, John Ralls wrote:
>>>
>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>
>>>>
>>>> I have another problem now:
>>>>
>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>> Traceback (most recent call last):
>>>> File
>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>> line 337, in __startgramps
>>>>  Gramps(argparser)
>>>> File
>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>> line 256, in __init__
>>>>  register_stock_icons()
>>>> File
>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>> line 161, in register_stock_icons
>>>>  base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>> File
>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>> line 90, in base_reg_stock_icons
>>>>  pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>> GError: Couldn't recognize the image file format for file
>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>
>>>>
>>>> Any idea?
>>>
>>> That's really strange. Does the image look OK in Finder?
>>>
>>> What OS version are you running?
>>>
>>
>> John,
>>
>> I am on 10.6.7.
>>
>> Comparing the package with 3.2.5 I notice that
>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>> it has lots of entries in 3.2.5. Also
>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>> in it, whereas 3.2.5 has many files.
>>
>> So it looks like something to do with the gtk build.
>
> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>
> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>
> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>
> I'll have a new bundle up shortly.

Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.

Uploaded to SF as Gramps-Intel-3.2.6.1.dmg

Regards,
John Ralls


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
On 03/05/2011 21:08, John Ralls wrote:

>
> On May 3, 2011, at 11:50 AM, John Ralls wrote:
>
>>
>> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>>
>>> On 03/05/2011 18:52, John Ralls wrote:
>>>>
>>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>>
>>>>>
>>>>> I have another problem now:
>>>>>
>>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>>> Traceback (most recent call last):
>>>>> File
>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>> line 337, in __startgramps
>>>>>  Gramps(argparser)
>>>>> File
>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>> line 256, in __init__
>>>>>  register_stock_icons()
>>>>> File
>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>> line 161, in register_stock_icons
>>>>>  base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>>> File
>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>>> line 90, in base_reg_stock_icons
>>>>>  pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>>> GError: Couldn't recognize the image file format for file
>>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>>
>>>>>
>>>>> Any idea?
>>>>
>>>> That's really strange. Does the image look OK in Finder?
>>>>
>>>> What OS version are you running?
>>>>
>>>
>>> John,
>>>
>>> I am on 10.6.7.
>>>
>>> Comparing the package with 3.2.5 I notice that
>>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>>> it has lots of entries in 3.2.5. Also
>>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>>> in it, whereas 3.2.5 has many files.
>>>
>>> So it looks like something to do with the gtk build.
>>
>> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>>
>> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>>
>> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>>
>> I'll have a new bundle up shortly.
>
> Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.
>
> Uploaded to SF as Gramps-Intel-3.2.6.1.dmg
>

John

I still get the same error :-(

The gdk-pixbuf.loaders file now contains entries with path of the form:

"@executable_path/../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.so"

Should @executable_path have been replaced with something?

There are now the loaders as expected but gdk is obviously not finding them.

ls ../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/
libpixbufloader-ani.so libpixbufloader-ico.so libpixbufloader-pnm.so
libpixbufloader-tiff.so
libpixbufloader-bmp.so libpixbufloader-jpeg.so libpixbufloader-qtif.so
libpixbufloader-wbmp.so
libpixbufloader-gif.so libpixbufloader-pcx.so libpixbufloader-ras.so
libpixbufloader-xbm.so
libpixbufloader-icns.so libpixbufloader-png.so libpixbufloader-tga.so
libpixbufloader-xpm.so



Richard


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

John Ralls-2

On May 4, 2011, at 11:11 AM, Richard Taylor wrote:

> On 03/05/2011 21:08, John Ralls wrote:
>>
>> On May 3, 2011, at 11:50 AM, John Ralls wrote:
>>
>>>
>>> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>>>
>>>> On 03/05/2011 18:52, John Ralls wrote:
>>>>>
>>>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>>>
>>>>>>
>>>>>> I have another problem now:
>>>>>>
>>>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>>>> Traceback (most recent call last):
>>>>>> File
>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>> line 337, in __startgramps
>>>>>> Gramps(argparser)
>>>>>> File
>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>> line 256, in __init__
>>>>>> register_stock_icons()
>>>>>> File
>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>> line 161, in register_stock_icons
>>>>>> base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>>>> File
>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>>>> line 90, in base_reg_stock_icons
>>>>>> pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>>>> GError: Couldn't recognize the image file format for file
>>>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>>>
>>>>>>
>>>>>> Any idea?
>>>>>
>>>>> That's really strange. Does the image look OK in Finder?
>>>>>
>>>>> What OS version are you running?
>>>>>
>>>>
>>>> John,
>>>>
>>>> I am on 10.6.7.
>>>>
>>>> Comparing the package with 3.2.5 I notice that
>>>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>>>> it has lots of entries in 3.2.5. Also
>>>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>>>> in it, whereas 3.2.5 has many files.
>>>>
>>>> So it looks like something to do with the gtk build.
>>>
>>> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>>>
>>> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>>>
>>> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>>>
>>> I'll have a new bundle up shortly.
>>
>> Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.
>>
>> Uploaded to SF as Gramps-Intel-3.2.6.1.dmg
>>
>
> John
>
> I still get the same error :-(
>
> The gdk-pixbuf.loaders file now contains entries with path of the form:
>
> "@executable_path/../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.so"
>
> Should @executable_path have been replaced with something?
>
> There are now the loaders as expected but gdk is obviously not finding them.
>
> ls ../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/
> libpixbufloader-ani.so libpixbufloader-ico.so libpixbufloader-pnm.so
> libpixbufloader-tiff.so
> libpixbufloader-bmp.so libpixbufloader-jpeg.so libpixbufloader-qtif.so
> libpixbufloader-wbmp.so
> libpixbufloader-gif.so libpixbufloader-pcx.so libpixbufloader-ras.so
> libpixbufloader-xbm.so
> libpixbufloader-icns.so libpixbufloader-png.so libpixbufloader-tga.so
> libpixbufloader-xpm.so

Sigh. I'm seriously losing it.

Try editing Gramps.app/Contents/MacOS/rungramps.py, line 28, to say "GDK_PIXBUF_MODULE_FILES" instead of "GDK_PIXBUF_LOADERS".

Regards,
John Ralls


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
On 05/05/2011 04:38, John Ralls wrote:

>
> On May 4, 2011, at 11:11 AM, Richard Taylor wrote:
>
>> On 03/05/2011 21:08, John Ralls wrote:
>>>
>>> On May 3, 2011, at 11:50 AM, John Ralls wrote:
>>>
>>>>
>>>> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>>>>
>>>>> On 03/05/2011 18:52, John Ralls wrote:
>>>>>>
>>>>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>>>>
>>>>>>>
>>>>>>> I have another problem now:
>>>>>>>
>>>>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>>>>> Traceback (most recent call last):
>>>>>>> File
>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>> line 337, in __startgramps
>>>>>>> Gramps(argparser)
>>>>>>> File
>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>> line 256, in __init__
>>>>>>> register_stock_icons()
>>>>>>> File
>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>> line 161, in register_stock_icons
>>>>>>> base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>>>>> File
>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>>>>> line 90, in base_reg_stock_icons
>>>>>>> pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>>>>> GError: Couldn't recognize the image file format for file
>>>>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>>>>
>>>>>>>
>>>>>>> Any idea?
>>>>>>
>>>>>> That's really strange. Does the image look OK in Finder?
>>>>>>
>>>>>> What OS version are you running?
>>>>>>
>>>>>
>>>>> John,
>>>>>
>>>>> I am on 10.6.7.
>>>>>
>>>>> Comparing the package with 3.2.5 I notice that
>>>>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>>>>> it has lots of entries in 3.2.5. Also
>>>>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>>>>> in it, whereas 3.2.5 has many files.
>>>>>
>>>>> So it looks like something to do with the gtk build.
>>>>
>>>> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>>>>
>>>> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>>>>
>>>> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>>>>
>>>> I'll have a new bundle up shortly.
>>>
>>> Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.
>>>
>>> Uploaded to SF as Gramps-Intel-3.2.6.1.dmg
>>>
>>
>> John
>>
>> I still get the same error :-(
>>
>> The gdk-pixbuf.loaders file now contains entries with path of the form:
>>
>> "@executable_path/../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.so"
>>
>> Should @executable_path have been replaced with something?
>>
>> There are now the loaders as expected but gdk is obviously not finding them.
>>
>> ls ../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/
>> libpixbufloader-ani.so libpixbufloader-ico.so libpixbufloader-pnm.so
>> libpixbufloader-tiff.so
>> libpixbufloader-bmp.so libpixbufloader-jpeg.so libpixbufloader-qtif.so
>> libpixbufloader-wbmp.so
>> libpixbufloader-gif.so libpixbufloader-pcx.so libpixbufloader-ras.so
>> libpixbufloader-xbm.so
>> libpixbufloader-icns.so libpixbufloader-png.so libpixbufloader-tga.so
>> libpixbufloader-xpm.so
>
> Sigh. I'm seriously losing it.
>
> Try editing Gramps.app/Contents/MacOS/rungramps.py, line 28, to say "GDK_PIXBUF_MODULE_FILES" instead of "GDK_PIXBUF_LOADERS".
>

John

Unfortunately that did not work either.

I used 'strings' to hunt through the libgdk to see what environment
variables it references.

I set it to this:

os.environ["GDK_PIXBUF_MODULE_FILE"] = os.path.join(_gtk2_conf,
"gdk-pixbuf.loaders")

and this does works!

Regards

Richard


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

Richard Taylor-2
On 05/05/2011 19:45, Richard Taylor wrote:

> On 05/05/2011 04:38, John Ralls wrote:
>>
>> On May 4, 2011, at 11:11 AM, Richard Taylor wrote:
>>
>>> On 03/05/2011 21:08, John Ralls wrote:
>>>>
>>>> On May 3, 2011, at 11:50 AM, John Ralls wrote:
>>>>
>>>>>
>>>>> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>>>>>
>>>>>> On 03/05/2011 18:52, John Ralls wrote:
>>>>>>>
>>>>>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>>>>>
>>>>>>>>
>>>>>>>> I have another problem now:
>>>>>>>>
>>>>>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>>>>>> Traceback (most recent call last):
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 337, in __startgramps
>>>>>>>> Gramps(argparser)
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 256, in __init__
>>>>>>>> register_stock_icons()
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 161, in register_stock_icons
>>>>>>>> base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>>>>>> line 90, in base_reg_stock_icons
>>>>>>>> pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>>>>>> GError: Couldn't recognize the image file format for file
>>>>>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>>>>>
>>>>>>>>
>>>>>>>> Any idea?
>>>>>>>
>>>>>>> That's really strange. Does the image look OK in Finder?
>>>>>>>
>>>>>>> What OS version are you running?
>>>>>>>
>>>>>>
>>>>>> John,
>>>>>>
>>>>>> I am on 10.6.7.
>>>>>>
>>>>>> Comparing the package with 3.2.5 I notice that
>>>>>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>>>>>> it has lots of entries in 3.2.5. Also
>>>>>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>>>>>> in it, whereas 3.2.5 has many files.
>>>>>>
>>>>>> So it looks like something to do with the gtk build.
>>>>>
>>>>> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>>>>>
>>>>> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>>>>>
>>>>> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>>>>>
>>>>> I'll have a new bundle up shortly.
>>>>
>>>> Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.
>>>>
>>>> Uploaded to SF as Gramps-Intel-3.2.6.1.dmg
>>>>
>>>
>>> John
>>>
>>> I still get the same error :-(
>>>
>>> The gdk-pixbuf.loaders file now contains entries with path of the form:
>>>
>>> "@executable_path/../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.so"
>>>
>>> Should @executable_path have been replaced with something?
>>>
>>> There are now the loaders as expected but gdk is obviously not finding them.
>>>
>>> ls ../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/
>>> libpixbufloader-ani.so libpixbufloader-ico.so libpixbufloader-pnm.so
>>> libpixbufloader-tiff.so
>>> libpixbufloader-bmp.so libpixbufloader-jpeg.so libpixbufloader-qtif.so
>>> libpixbufloader-wbmp.so
>>> libpixbufloader-gif.so libpixbufloader-pcx.so libpixbufloader-ras.so
>>> libpixbufloader-xbm.so
>>> libpixbufloader-icns.so libpixbufloader-png.so libpixbufloader-tga.so
>>> libpixbufloader-xpm.so
>>
>> Sigh. I'm seriously losing it.
>>
>> Try editing Gramps.app/Contents/MacOS/rungramps.py, line 28, to say "GDK_PIXBUF_MODULE_FILES" instead of "GDK_PIXBUF_LOADERS".
>>
>
> John
>
> Unfortunately that did not work either.
>
> I used 'strings' to hunt through the libgdk to see what environment
> variables it references.
>
> I set it to this:
>
> os.environ["GDK_PIXBUF_MODULE_FILE"] = os.path.join(_gtk2_conf,
> "gdk-pixbuf.loaders")
>
> and this does works!

John

Spoke too soon. It only works from the terminal, not from the Finder.

Tracked it down to the fact that I had set PYTHONHOME by hand in the
terminal, but it was not set when running from the Finder.

Adding:

export PYTHONHOME="$PWD/../Resources"

to Contents/MacOS/Gramps fixed it. Now starts from Finder too.

Regards

Richard

------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: bad OSX build 3.2.6

John Ralls-2
In reply to this post by Richard Taylor-2

On May 5, 2011, at 11:45 AM, Richard Taylor wrote:

> On 05/05/2011 04:38, John Ralls wrote:
>>
>> On May 4, 2011, at 11:11 AM, Richard Taylor wrote:
>>
>>> On 03/05/2011 21:08, John Ralls wrote:
>>>>
>>>> On May 3, 2011, at 11:50 AM, John Ralls wrote:
>>>>
>>>>>
>>>>> On May 3, 2011, at 11:34 AM, Richard Taylor wrote:
>>>>>
>>>>>> On 03/05/2011 18:52, John Ralls wrote:
>>>>>>>
>>>>>>> On May 3, 2011, at 9:21 AM, Richard Taylor wrote:
>>>>>>>
>>>>>>>>
>>>>>>>> I have another problem now:
>>>>>>>>
>>>>>>>> 2643: ERROR: grampsgui.py: line 357: Gramps failed to start.
>>>>>>>> Traceback (most recent call last):
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 337, in __startgramps
>>>>>>>> Gramps(argparser)
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 256, in __init__
>>>>>>>> register_stock_icons()
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/grampsgui.py",
>>>>>>>> line 161, in register_stock_icons
>>>>>>>> base_reg_stock_icons(iconpaths, extraiconsize, items+items_legacy)
>>>>>>>> File
>>>>>>>> "/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/gui/pluginmanager.py",
>>>>>>>> line 90, in base_reg_stock_icons
>>>>>>>> pixbuf = gtk.gdk.pixbuf_new_from_file (icon_file)
>>>>>>>> GError: Couldn't recognize the image file format for file
>>>>>>>> '/Applications/Editors/Gramps.app/Contents/Resources/share/gramps/images/gramps.png'
>>>>>>>>
>>>>>>>>
>>>>>>>> Any idea?
>>>>>>>
>>>>>>> That's really strange. Does the image look OK in Finder?
>>>>>>>
>>>>>>> What OS version are you running?
>>>>>>>
>>>>>>
>>>>>> John,
>>>>>>
>>>>>> I am on 10.6.7.
>>>>>>
>>>>>> Comparing the package with 3.2.5 I notice that
>>>>>> Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders is empty in 3.2.6 but
>>>>>> it has lots of entries in 3.2.5. Also
>>>>>> 'Contents/Resources/lib/gtk-2.0/2.10.0/loaders' has only 'svg_loader.so'
>>>>>> in it, whereas 3.2.5 has many files.
>>>>>>
>>>>>> So it looks like something to do with the gtk build.
>>>>>
>>>>> Nope, not the build, the bundle. Sigh, I thought I'd gotten that.
>>>>>
>>>>> For Gtk+-2.24, they moved gdk-pixbuf into a separate project, and it now has its own module library, which didn't get bundled.
>>>>>
>>>>> What's odd is that gtk was able to find the modules in the build directory, so it must be hard-coding a path somewhere.
>>>>>
>>>>> I'll have a new bundle up shortly.
>>>>
>>>> Seems I also had another variable name wrong in rungramps.py. I tested this time on a separate machine (like I should have done yesterday), and it loads OK for me now.
>>>>
>>>> Uploaded to SF as Gramps-Intel-3.2.6.1.dmg
>>>>
>>>
>>> John
>>>
>>> I still get the same error :-(
>>>
>>> The gdk-pixbuf.loaders file now contains entries with path of the form:
>>>
>>> "@executable_path/../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.so"
>>>
>>> Should @executable_path have been replaced with something?
>>>
>>> There are now the loaders as expected but gdk is obviously not finding them.
>>>
>>> ls ../Resources/lib/gdk-pixbuf-2.0/2.10.0/loaders/
>>> libpixbufloader-ani.so libpixbufloader-ico.so libpixbufloader-pnm.so
>>> libpixbufloader-tiff.so
>>> libpixbufloader-bmp.so libpixbufloader-jpeg.so libpixbufloader-qtif.so
>>> libpixbufloader-wbmp.so
>>> libpixbufloader-gif.so libpixbufloader-pcx.so libpixbufloader-ras.so
>>> libpixbufloader-xbm.so
>>> libpixbufloader-icns.so libpixbufloader-png.so libpixbufloader-tga.so
>>> libpixbufloader-xpm.so
>>
>> Sigh. I'm seriously losing it.
>>
>> Try editing Gramps.app/Contents/MacOS/rungramps.py, line 28, to say "GDK_PIXBUF_MODULE_FILES" instead of "GDK_PIXBUF_LOADERS".
>>
>
> John
>
> Unfortunately that did not work either.
>
> I used 'strings' to hunt through the libgdk to see what environment
> variables it references.
>
> I set it to this:
>
> os.environ["GDK_PIXBUF_MODULE_FILE"] = os.path.join(_gtk2_conf,
> "gdk-pixbuf.loaders")
>
> and this does works!
Right. Sorry about the typo.

I'll get the patched dmgs uploaded directly.

BTW, in the course of testing I discovered that the launcher needs to export $PYTHONHOME as well as $PYTHON to make sure that Gramps is using the bundled python libraries.

Regards,
John Ralls


------------------------------------------------------------------------------
WhatsUp Gold - Download Free Network Management Software
The most intuitive, comprehensive, and cost-effective network
management toolset available today.  Delivers lowest initial
acquisition cost and overall TCO of any competing solution.
http://p.sf.net/sfu/whatsupgold-sd
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel